Drupal 6 EOL

Uit De Vliegende Brigade
Ga naar: navigatie, zoeken

Sinds begin 2016 is Drupal 6 end of life (EOL).

Geen legitieme updates meer?

Sommige modules worden nog steeds ondersteund, maar updates worden niet meer via Drush ondersteund, terwijl dat niet nodig lijkt te zijn. Een aardige beschrijving van het probleem [1]:

  1. D6 reaches EOL (adieu!)
  2. Final security update is released (good)
  3. The vulnerability is detailed to the world by virtue of the security release (that's how it works)
  4. The most common mechanism for applying the update is essentially disabled (not good)
  5. Lots and lots of D6 sites are left insecure because so many will not use alternative update methods (really not good).

Long Term Support

Drupal werkt samen met een aantal partijen die long term support op zich hebben genomen [2]:

Voorbeeld: mydropwizard & Drupal 6.38

Vantevoren

Security update required!: Er is een update naar Drupal 6.38
Security update required!: Er bestaat een update voor filefield
Security update required!: Er bestaat een update voor views

Bijwerken

Updaten naar Drupal 6.38 is geen probleem
Maar de updates voor filefield en views gaan niet lukken

Installatie mydropwizard-module

De mydropwizard-module kan zonder probleem via Drush geïnstalleerd worden

Gebruik mydropwizard-module

Het Available updates-scherm ziet er gelijk een stuk hoopvoller uit!
Drush up werkt...
...En modules waar updates voor bestaan, zijn bijgewerkt, wat overigens niet voor alle modules geldt

Bronnen